LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XComponentEnumeration Interface Referencepublished

provides a typified enumeration through components. More...

`import "XComponentEnumeration.idl";`

Inheritance diagram for XComponentEnumeration:

## Public Member Functions
com::sun::star::lang::XComponent | nextComponent () raises ( com::sun::star::container::NoSuchElementException )
Public Member Functions inherited from XEnumeration
boolean | hasMoreElements ()
| tests whether this enumeration contains more elements.
any | nextElement () raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides a typified enumeration through components.

## Member Function Documentation

## ◆ nextComponent()

com::sun::star::lang::XComponent nextComponent | ( |  | ) |
raises | ( | com::sun::star::container::NoSuchElementException ) |  |  |

Returns
  the next component of this enumeration.

Exceptions

  NoSuchElementException | if no more elements exist.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XComponentEnumeration.idl